package com.cirs.biz.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.cirs.common.annotation.Excel;
import com.cirs.common.core.domain.BaseEntity;

/**
 * 厂家得分对象 factory_score
 * 
 * @author allen
 * @date 2023-12-10
 */
public class FactoryScore extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 厂家名称 */
    @Excel(name = "厂家名称")
    private String factoryName;

    /** 生产线运行情况良好 */
    @Excel(name = "生产线运行情况良好")
    private String factor1;

    /** 生产过程耗材稳定供应 */
    @Excel(name = "生产过程耗材稳定供应")
    private String factor2;

    /** 定期进行生产线维护保养 */
    @Excel(name = "定期进行生产线维护保养")
    private String factor3;

    /** 质量体系完善且运行情况良好 */
    @Excel(name = "质量体系完善且运行情况良好")
    private String factor4;

    /** 建立了与配套元器件生产相适应的生产管理系统且运行情况良好 */
    @Excel(name = "建立了与配套元器件生产相适应的生产管理系统且运行情况良好")
    private String factor5;

    /** 重要岗位人员定期进行专业培训 */
    @Excel(name = "重要岗位人员定期进行专业培训")
    private String factor6;

    /** 产品批次管理有具体文件内容规定，是否有管理责任人 */
    @Excel(name = "产品批次管理有具体文件内容规定，是否有管理责任人")
    private String factor7;

    /** 未发生过因产品批次问题引起的交付问题 */
    @Excel(name = "未发生过因产品批次问题引起的交付问题")
    private String factor8;

    /** 产品全寿命周期可追溯，质量一致性高 */
    @Excel(name = "产品全寿命周期可追溯，质量一致性高")
    private String factor9;

    /** 生产工艺已完成定型，且有相关产品生产经历 */
    @Excel(name = "生产工艺已完成定型，且有相关产品生产经历")
    private String factor10;

    /** 有明确生产过程控制技术手段 */
    @Excel(name = "有明确生产过程控制技术手段")
    private String factor11;

    /** 关键工序有明确的评价准则、严格的监控措施和完整记录 */
    @Excel(name = "关键工序有明确的评价准则、严格的监控措施和完整记录")
    private String factor12;

    /** 芯片的合格率水平满足要求 */
    @Excel(name = "芯片的合格率水平满足要求")
    private String factor13;

    /** 封装的合格率水平满足要求 */
    @Excel(name = "封装的合格率水平满足要求")
    private String factor14;

    /** 未发生过中重大失效问题 */
    @Excel(name = "未发生过中重大失效问题")
    private String factor15;

    /** 针对重大失效问题，建立有应急处理机制，且严格执行。 */
    @Excel(name = "针对重大失效问题，建立有应急处理机制，且严格执行。")
    private String factor16;

    /** 针对不同的核心零部件，由相应的采购策略 */
    @Excel(name = "针对不同的核心零部件，由相应的采购策略")
    private String factor17;

    /** 具有稳定可靠的供货渠道 */
    @Excel(name = "具有稳定可靠的供货渠道")
    private String factor18;

    /** 核心零部件检验制度完善 */
    @Excel(name = "核心零部件检验制度完善")
    private String factor19;

    /** 无重大质量问题发生 */
    @Excel(name = "无重大质量问题发生")
    private String factor20;

    /** 生产产能充足 */
    @Excel(name = "生产产能充足")
    private String factor21;

    /** 产能调度分配机制成熟完善，能够满足要求 */
    @Excel(name = "产能调度分配机制成熟完善，能够满足要求")
    private String factor22;

    /** 根据产品自身和用户应用需求特点，建立合理的库存策略 */
    @Excel(name = "根据产品自身和用户应用需求特点，建立合理的库存策略")
    private String factor23;

    /** 针对有供货风险的零部件有合理的进出库管理策略 */
    @Excel(name = "针对有供货风险的零部件有合理的进出库管理策略")
    private String factor24;

    /** 温湿度等存储环境条件满足要求 */
    @Excel(name = "温湿度等存储环境条件满足要求")
    private String factor25;

    /** 有稳定的核心零部件、半成品/成品库存量 */
    @Excel(name = "有稳定的核心零部件、半成品/成品库存量")
    private String factor26;

    /** 该产品符合技术发展趋势，为企业主攻主流产品 */
    @Excel(name = "该产品符合技术发展趋势，为企业主攻主流产品")
    private String factor27;

    /** 产品用户市场需求量大，有长期生产、供货意愿和策略，有相关产品系列化发展策略 */
    @Excel(name = "产品用户市场需求量大，有长期生产、供货意愿和策略，有相关产品系列化发展策略")
    private String factor28;

    /** 制定有完善的元器件状态管控制度或措施，且有效执行 */
    @Excel(name = "制定有完善的元器件状态管控制度或措施，且有效执行")
    private String factor29;

    /** 器件状态清晰明确，且状态变更过程完全受控 */
    @Excel(name = "器件状态清晰明确，且状态变更过程完全受控")
    private String factor30;

    /** 产品供货周期合理，能满足用户采购要求 */
    @Excel(name = "产品供货周期合理，能满足用户采购要求")
    private String factor31;

    /** 最小起订量设置合理 */
    @Excel(name = "最小起订量设置合理")
    private String factor32;

    /** 制定有相应的供应商准入、选择、评价等制度，并严格执行 */
    @Excel(name = "制定有相应的供应商准入、选择、评价等制度，并严格执行")
    private String factor33;

    /** 有长期稳定合作的核心关键的外协单位 */
    @Excel(name = "有长期稳定合作的核心关键的外协单位")
    private String factor34;

    /** 能够及时为用户提供应用全过程的技术售后服务 */
    @Excel(name = "能够及时为用户提供应用全过程的技术售后服务")
    private String factor35;

    /** 了解用户对于国产元器件的应用需求及其发展趋势，了解用户的配套供货需求 */
    @Excel(name = "了解用户对于国产元器件的应用需求及其发展趋势，了解用户的配套供货需求")
    private String factor36;

    /** 制定了健全的稳定核心人员的措施，并有效执行 */
    @Excel(name = "制定了健全的稳定核心人员的措施，并有效执行")
    private String factor37;

    /** 成立有专门的军品管理部门和科研生产技术团队，核心团队稳定 */
    @Excel(name = "成立有专门的军品管理部门和科研生产技术团队，核心团队稳定")
    private String factor38;

    /** 核心人员均具备相应的专业知识和技术能力 */
    @Excel(name = "核心人员均具备相应的专业知识和技术能力")
    private String factor39;

    /** 建立了良好的成本管控措施 */
    @Excel(name = "建立了良好的成本管控措施")
    private String factor40;

    /** 能够承担产品生产、配套相关成本，能够持续盈利 */
    @Excel(name = "能够承担产品生产、配套相关成本，能够持续盈利")
    private String factor41;

    /** 经济性好，企业能够持续获利 */
    @Excel(name = "经济性好，企业能够持续获利")
    private String factor42;

    /** 和供应链各节点单位之间建立了良好的信息沟通机制，能有效沟通信息，协调解决问题 */
    @Excel(name = "和供应链各节点单位之间建立了良好的信息沟通机制，能有效沟通信息，协调解决问题")
    private String factor43;

    /** 产品推广应用情况良好，市场认可度高，客户满意度高 */
    @Excel(name = "产品推广应用情况良好，市场认可度高，客户满意度高")
    private String factor44;

    /** 最终等级 */
    @Excel(name = "最终等级")
    private String finalGrade;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setFactoryName(String factoryName) 
    {
        this.factoryName = factoryName;
    }

    public String getFactoryName() 
    {
        return factoryName;
    }
    public void setFactor1(String factor1) 
    {
        this.factor1 = factor1;
    }

    public String getFactor1() 
    {
        return factor1;
    }
    public void setFactor2(String factor2) 
    {
        this.factor2 = factor2;
    }

    public String getFactor2() 
    {
        return factor2;
    }
    public void setFactor3(String factor3) 
    {
        this.factor3 = factor3;
    }

    public String getFactor3() 
    {
        return factor3;
    }
    public void setFactor4(String factor4) 
    {
        this.factor4 = factor4;
    }

    public String getFactor4() 
    {
        return factor4;
    }
    public void setFactor5(String factor5) 
    {
        this.factor5 = factor5;
    }

    public String getFactor5() 
    {
        return factor5;
    }
    public void setFactor6(String factor6) 
    {
        this.factor6 = factor6;
    }

    public String getFactor6() 
    {
        return factor6;
    }
    public void setFactor7(String factor7) 
    {
        this.factor7 = factor7;
    }

    public String getFactor7() 
    {
        return factor7;
    }
    public void setFactor8(String factor8) 
    {
        this.factor8 = factor8;
    }

    public String getFactor8() 
    {
        return factor8;
    }
    public void setFactor9(String factor9) 
    {
        this.factor9 = factor9;
    }

    public String getFactor9() 
    {
        return factor9;
    }
    public void setFactor10(String factor10) 
    {
        this.factor10 = factor10;
    }

    public String getFactor10() 
    {
        return factor10;
    }
    public void setFactor11(String factor11) 
    {
        this.factor11 = factor11;
    }

    public String getFactor11() 
    {
        return factor11;
    }
    public void setFactor12(String factor12) 
    {
        this.factor12 = factor12;
    }

    public String getFactor12() 
    {
        return factor12;
    }
    public void setFactor13(String factor13) 
    {
        this.factor13 = factor13;
    }

    public String getFactor13() 
    {
        return factor13;
    }
    public void setFactor14(String factor14) 
    {
        this.factor14 = factor14;
    }

    public String getFactor14() 
    {
        return factor14;
    }
    public void setFactor15(String factor15) 
    {
        this.factor15 = factor15;
    }

    public String getFactor15() 
    {
        return factor15;
    }
    public void setFactor16(String factor16) 
    {
        this.factor16 = factor16;
    }

    public String getFactor16() 
    {
        return factor16;
    }
    public void setFactor17(String factor17) 
    {
        this.factor17 = factor17;
    }

    public String getFactor17() 
    {
        return factor17;
    }
    public void setFactor18(String factor18) 
    {
        this.factor18 = factor18;
    }

    public String getFactor18() 
    {
        return factor18;
    }
    public void setFactor19(String factor19) 
    {
        this.factor19 = factor19;
    }

    public String getFactor19() 
    {
        return factor19;
    }
    public void setFactor20(String factor20) 
    {
        this.factor20 = factor20;
    }

    public String getFactor20() 
    {
        return factor20;
    }
    public void setFactor21(String factor21) 
    {
        this.factor21 = factor21;
    }

    public String getFactor21() 
    {
        return factor21;
    }
    public void setFactor22(String factor22) 
    {
        this.factor22 = factor22;
    }

    public String getFactor22() 
    {
        return factor22;
    }
    public void setFactor23(String factor23) 
    {
        this.factor23 = factor23;
    }

    public String getFactor23() 
    {
        return factor23;
    }
    public void setFactor24(String factor24) 
    {
        this.factor24 = factor24;
    }

    public String getFactor24() 
    {
        return factor24;
    }
    public void setFactor25(String factor25) 
    {
        this.factor25 = factor25;
    }

    public String getFactor25() 
    {
        return factor25;
    }
    public void setFactor26(String factor26) 
    {
        this.factor26 = factor26;
    }

    public String getFactor26() 
    {
        return factor26;
    }
    public void setFactor27(String factor27) 
    {
        this.factor27 = factor27;
    }

    public String getFactor27() 
    {
        return factor27;
    }
    public void setFactor28(String factor28) 
    {
        this.factor28 = factor28;
    }

    public String getFactor28() 
    {
        return factor28;
    }
    public void setFactor29(String factor29) 
    {
        this.factor29 = factor29;
    }

    public String getFactor29() 
    {
        return factor29;
    }
    public void setFactor30(String factor30) 
    {
        this.factor30 = factor30;
    }

    public String getFactor30() 
    {
        return factor30;
    }
    public void setFactor31(String factor31) 
    {
        this.factor31 = factor31;
    }

    public String getFactor31() 
    {
        return factor31;
    }
    public void setFactor32(String factor32) 
    {
        this.factor32 = factor32;
    }

    public String getFactor32() 
    {
        return factor32;
    }
    public void setFactor33(String factor33) 
    {
        this.factor33 = factor33;
    }

    public String getFactor33() 
    {
        return factor33;
    }
    public void setFactor34(String factor34) 
    {
        this.factor34 = factor34;
    }

    public String getFactor34() 
    {
        return factor34;
    }
    public void setFactor35(String factor35) 
    {
        this.factor35 = factor35;
    }

    public String getFactor35() 
    {
        return factor35;
    }
    public void setFactor36(String factor36) 
    {
        this.factor36 = factor36;
    }

    public String getFactor36() 
    {
        return factor36;
    }
    public void setFactor37(String factor37) 
    {
        this.factor37 = factor37;
    }

    public String getFactor37() 
    {
        return factor37;
    }
    public void setFactor38(String factor38) 
    {
        this.factor38 = factor38;
    }

    public String getFactor38() 
    {
        return factor38;
    }
    public void setFactor39(String factor39) 
    {
        this.factor39 = factor39;
    }

    public String getFactor39() 
    {
        return factor39;
    }
    public void setFactor40(String factor40) 
    {
        this.factor40 = factor40;
    }

    public String getFactor40() 
    {
        return factor40;
    }
    public void setFactor41(String factor41) 
    {
        this.factor41 = factor41;
    }

    public String getFactor41() 
    {
        return factor41;
    }
    public void setFactor42(String factor42) 
    {
        this.factor42 = factor42;
    }

    public String getFactor42() 
    {
        return factor42;
    }
    public void setFactor43(String factor43) 
    {
        this.factor43 = factor43;
    }

    public String getFactor43() 
    {
        return factor43;
    }
    public void setFactor44(String factor44) 
    {
        this.factor44 = factor44;
    }

    public String getFactor44() 
    {
        return factor44;
    }
    public void setFinalGrade(String finalGrade) 
    {
        this.finalGrade = finalGrade;
    }

    public String getFinalGrade() 
    {
        return finalGrade;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryName", getFactoryName())
            .append("factor1", getFactor1())
            .append("factor2", getFactor2())
            .append("factor3", getFactor3())
            .append("factor4", getFactor4())
            .append("factor5", getFactor5())
            .append("factor6", getFactor6())
            .append("factor7", getFactor7())
            .append("factor8", getFactor8())
            .append("factor9", getFactor9())
            .append("factor10", getFactor10())
            .append("factor11", getFactor11())
            .append("factor12", getFactor12())
            .append("factor13", getFactor13())
            .append("factor14", getFactor14())
            .append("factor15", getFactor15())
            .append("factor16", getFactor16())
            .append("factor17", getFactor17())
            .append("factor18", getFactor18())
            .append("factor19", getFactor19())
            .append("factor20", getFactor20())
            .append("factor21", getFactor21())
            .append("factor22", getFactor22())
            .append("factor23", getFactor23())
            .append("factor24", getFactor24())
            .append("factor25", getFactor25())
            .append("factor26", getFactor26())
            .append("factor27", getFactor27())
            .append("factor28", getFactor28())
            .append("factor29", getFactor29())
            .append("factor30", getFactor30())
            .append("factor31", getFactor31())
            .append("factor32", getFactor32())
            .append("factor33", getFactor33())
            .append("factor34", getFactor34())
            .append("factor35", getFactor35())
            .append("factor36", getFactor36())
            .append("factor37", getFactor37())
            .append("factor38", getFactor38())
            .append("factor39", getFactor39())
            .append("factor40", getFactor40())
            .append("factor41", getFactor41())
            .append("factor42", getFactor42())
            .append("factor43", getFactor43())
            .append("factor44", getFactor44())
            .append("finalGrade", getFinalGrade())
            .toString();
    }
}
